* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-image: url('/assets/images/background.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    font-family: Arial, sans-serif;
    padding-top: 70px;
}

#footer {
    margin-top: auto;
}

/* Footer - eula , terms, privacy , dmca , 2257 */

.legal-container{
max-width:900px;
margin:120px auto 80px;
padding:40px;
background:rgba(15,15,25,0.85);
backdrop-filter:blur(10px);
border-radius:16px;
box-shadow:0 0 30px rgba(0,0,0,0.5);
color:#eee;
}


.legal-container h1{
font-size:32px;
margin-bottom:20px;
}


.legal-container h2{
margin-top:25px;
font-size:20px;
color:#ff4fd8;
}


.legal-container p{
line-height:1.7;
margin-top:10px;
}


.legal-container ul{
margin-top:10px;
padding-left:20px;
}


.legal-container li{
margin-bottom:8px;
}

/* Age Verification */

#age-overlay{
    position:fixed;
    top:0;
    left:0;
    width:100vw;
    height:100vh;
    background:rgba(0,0,0,0.85);
    backdrop-filter: blur(10px);
    display:flex;
    align-items:center;
    justify-content:center;
    z-index:999999;
    pointer-events: all;
}

body.age-lock{
    overflow:hidden;
}

.age-popup{
    width:100%;
    max-width:500px;
    background-image: url('/assets/images/age.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    border-radius:20px;
    padding:125px 35px;
    text-align:center;
    box-shadow:0 0 80px rgba(0,0,0,0.9);
    border:1px solid rgba(255,255,255,0.08);
    animation: popupIn 0.35s ease;
    pointer-events: auto;
}

@keyframes popupIn{
    from{opacity:0; transform:scale(0.9)}
    to{opacity:1; transform:scale(1)}
}

.age-title{
    background:rgba(255, 255, 255, 0.01);
    border-radius:16px;
    backdrop-filter: blur(8px);
    color:#fff;
    font-size:30px;
    margin-bottom:64px;
    font-weight: bolder;
}

.age-text{
    background:rgba(255, 255, 255, 0.01);
    border-radius:16px;
    backdrop-filter: blur(8px);
    color:#fff;
    font-size:16px;
    line-height:1.6;
    margin-bottom:18px;
    font-weight: bolder;
}

.age-box{
    background:rgba(255,255,255,0.01);
    border-radius:16px;
    backdrop-filter: blur(8px);
    padding:15px 18px;
    margin-bottom:22px;
    text-align:left;
}

.age-confirm{
    font-size:15px;
    color:#fff;
    margin-bottom:10px;
    font-weight: bolder;
}

.age-box ul{
    padding-left:18px;
}

.age-box li{
    color:#fff;
    font-size:15px;
    margin-bottom:6px;
    font-weight: 600;
}

.age-buttons{
    display:flex;
    justify-content:center;
    gap:32px;
    padding: 20px;
    margin-top:10px;
}

.btn-enter{
    padding:12px 26px;
    border-radius:10px;
    border:none;
    cursor:pointer;
    font-size:15px;
    font-weight:600;
    background:linear-gradient(135deg,#ff4fd8,#ff2fa1);
    color:white;
    box-shadow:0 0 20px rgba(255,79,216,0.45);
    transition:0.25s;
}

.btn-enter:hover{
    transform:translateY(-2px);
    box-shadow:0 0 35px rgba(255,79,216,0.7);
}

.btn-exit{
    padding:12px 26px;
    border-radius:10px;
    border:1px solid rgba(255,255,255,0.25);
    background:transparent;
    color:#fff;
    cursor:pointer;
    font-size:15px;
    transition:0.25s;
}

.btn-exit:hover{
    background:rgba(255,255,255,0.06);
}

.age-footer{
    margin-top:18px;
    font-size:11px;
    color:#ccc;
}
